Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## classes
Class Company

    java.lang.Object
      classes.Company

All Implemented Interfaces:
  java.io.Serializable

    public class Company

extends java.lang.Object
implements java.io.Serializable

A Company osztály egy vállalatnak, a program működése szempontjából alapvető adatainak tárolására való.

A osztály implementálja a Serializable interfészt, mely révén majd szerializálásra kerülhet, így a felhasználó gépén kerülnek tárolásra végül az adatok.
A létrehozott állomány neve megegyezik a vállalat nevével, kiterjesztése .ceg lesz.

See Also:
  Serialized Form

Constructor Summary
`Company()`
`Company(java.lang.String nameOfCompany, java.lang.String taxingNumber, java.lang.String bankAccount, java.lang.String address, java.lang.String zipCode)` Létrehoz egy Company objektumot a megadott paraméterekkel.

Method Summary
`java.lang.String` | `getAddress()` A metódus segítségével lekérdezhető a vállalat címe
`java.lang.String` | `getBankAccount()` A metódus segítségével lekérdezhető a vállalat bankszámlaszáma
`java.lang.String` | `getEmail()` A metódus segítségével lekérdezhető a vállalat email címe, amennyiben létezik
`java.lang.String` | `getNameOfCompany()` A metódus segítségével lekérdezhető a vállalat neve
`javax.swing.ImageIcon` | `getPicture()` A metódus segítségével lekérdezhető a vállalat logója
`java.lang.String` | `getTaxingNumber()` A metódus segítségével lekérdezhető a vállalat adószáma
`java.lang.String` | `getTelephoneNumber()` A metódus segítségével lekérdezhető a vállalat telefonszáma, amennyiben létezik.
`java.lang.String` | `getZipCode()` A metódus segítségével lekérdezhető a vállalat címe.
`void` | `setAddress(java.lang.String address)` A metódus segítségével beállítható a vállalat címe.
`void` | `setBankAccount(java.lang.String bankAccount)` A metódus segítségével beállítható a vállalat bankszámlaszáma.
`void` | `setEmail(java.lang.String email)` A metódus segítségével beállítható a vállalat email címe.
`void` | `setNameOfCompany(java.lang.String nameOfCompany)` A metódus segítségével beállítható a vállalat neve.
`void` | `setPicture(javax.swing.ImageIcon picture)` A metódus segítségével beállítható a vállalat logojának képe.
`void` | `setTaxingNumber(java.lang.String taxingNumber)` A metódus segítségével beállítható a vállalat adószáma.
`void` | `setTelephoneNumber(java.lang.String telephoneNumber)` A metódus segítségével beállítható a vállalat telefonszáma.
`void` | `setZipCode(java.lang.String zipCode)` A metódus segítségével beállítható a vállalat irányítószáma.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Company

    public Company()

### Company

    public Company(java.lang.String nameOfCompany,
                   java.lang.String taxingNumber,
                   java.lang.String bankAccount,
                   java.lang.String address,
                   java.lang.String zipCode)

  Létrehoz egy Company objektumot a megadott paraméterekkel.

  Parameters:
    `nameOfCompany` - A vállalat neve
    `taxingNumber` - A vállalat adószáma
    `bankAccount` - A vállalat bankszámla száma
    `address` - A vállalat telephelyének címe
    `zipCode` - A vállalat telephelyének irányítószáma

Method Detail

### getAddress

    public java.lang.String getAddress()

  A metódus segítségével lekérdezhető a vállalat címe

  Returns:
    A vállalat pontos címe

### getBankAccount

    public java.lang.String getBankAccount()

  A metódus segítségével lekérdezhető a vállalat bankszámlaszáma

  Returns:
    A vállalat bankszámlaszáma

### getEmail

    public java.lang.String getEmail()

  A metódus segítségével lekérdezhető a vállalat email címe, amennyiben létezik

  Returns:
    A vállalat email címe

### getNameOfCompany

    public java.lang.String getNameOfCompany()

  A metódus segítségével lekérdezhető a vállalat neve

  Returns:
    A vállalat neve

### getPicture

    public javax.swing.ImageIcon getPicture()

  A metódus segítségével lekérdezhető a vállalat logója

  Returns:
    A vállalat logója

### getTaxingNumber

    public java.lang.String getTaxingNumber()

  A metódus segítségével lekérdezhető a vállalat adószáma

  Returns:
    A vállalat adószáma

### getTelephoneNumber

    public java.lang.String getTelephoneNumber()

  A metódus segítségével lekérdezhető a vállalat telefonszáma, amennyiben létezik.

  Returns:
    A vállalat telefonszáma

### getZipCode

    public java.lang.String getZipCode()

  A metódus segítségével lekérdezhető a vállalat címe.

  Returns:
    A vállalat irányítószáma

### setAddress

    public void setAddress(java.lang.String address)

  A metódus segítségével beállítható a vállalat címe.

  Parameters:
    `address` - A vállalat telephelyének pontos címe

### setBankAccount

    public void setBankAccount(java.lang.String bankAccount)

  A metódus segítségével beállítható a vállalat bankszámlaszáma.

  Parameters:
    `bankAccount` - Egy magyarországi bankszámlaszám, melynek formátuma: 12345678-12345678-12345678

### setEmail

    public void setEmail(java.lang.String email)

  A metódus segítségével beállítható a vállalat email címe.

  Parameters:
    `email` - Egy, az RFC 5322-es szabványnak megfelelő e-mail cím

### setNameOfCompany

    public void setNameOfCompany(java.lang.String nameOfCompany)

  A metódus segítségével beállítható a vállalat neve.

  Parameters:
    `nameOfCompany` - A vállalat neve

### setPicture

    public void setPicture(javax.swing.ImageIcon picture)

  A metódus segítségével beállítható a vállalat logojának képe.

  Parameters:
    `picture` - Egy gif, jpeg, jpg, png vagy tiff típusú kép ImageIcon osztályban tárolva

### setTaxingNumber

    public void setTaxingNumber(java.lang.String taxingNumber)

  A metódus segítségével beállítható a vállalat adószáma.

  Parameters:
    `taxingNumber` - Egy magyar adószám, melynek formátuma: 12345678-1-12

### setTelephoneNumber

    public void setTelephoneNumber(java.lang.String telephoneNumber)

  A metódus segítségével beállítható a vállalat telefonszáma.

  Parameters:
    `telephoneNumber` - Egy vezetékes vagy mobil telefonszám előhívó nélkül, szövegként tárolva

### setZipCode

    public void setZipCode(java.lang.String zipCode)

  A metódus segítségével beállítható a vállalat irányítószáma.

  Parameters:
    `zipCode` - Egy 1000 és 9999 közé eső 4 jegyű szám szövegként tárolva

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD